### Virtual Method

# Foundry Sdk contains_program

#### Declaration [src]

    DexFuture*
    contains_program (
      FoundrySdk* self,
      const char* program
    )

#### Description [src]

Looks for `program` within the SDK.

#### Parameters

`program`

  Type: `const char*`

  The program such as “ps”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the path of `program`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.